AMPS C/C++ Client Class Reference AMPS C/C++ Client Version 5.3.5.7

Public Member Functions | List of all members
AMPS::BookmarkStoreImpl Class Referenceabstract
Special Bookmark Values

Abstract base class for storing received bookmarks for HA clients. More...

`#include <BookmarkStore.hpp>`

Inheritance diagram for AMPS::BookmarkStoreImpl:

## Public Member Functions
virtual size_t | log (Message &message_)=0
| Log a bookmark to the persistent log. More...
virtual void | discard (const Message::Field &subId_, size_t bookmarkSeqNo_)=0
| Log a discard-bookmark entry to the persistent log based on a bookmark sequence number. More...
virtual void | discard (const Message &message_)=0
| Log a discard-bookmark entry to the persistent log based on a bookmark sequence number. More...
virtual Message::Field | getMostRecent (const Message::Field &subId_)=0
| Returns the most recent bookmark from the log that ought to be used for (re-)subscriptions. More...
virtual bool | isDiscarded (Message &message_)=0
| Called for each arriving message to determine if the application has already seen this bookmark and should not be reprocessed. More...
virtual void | purge ()=0
| Called to purge the contents of this store. More...
virtual void | purge (const Message::Field &subId_)=0
| Called to purge the contents of this store for particular subId. More...
virtual size_t | getOldestBookmarkSeq (const Message::Field &subId_)=0
| Called to find the oldest bookmark sequence in the store. More...
virtual void | setResizeHandler (BookmarkStoreResizeHandler handler_, void *userData_)
| Set a handler on the bookmark store that will get called whenever a resize of the store is required due to the number of stored bookmarks exceeding the currently allocated storage to hold them. More...
virtual void | persisted (const Message::Field &subId_, const Message::Field &bookmark_)=0
| Mark the bookmark provided as replicated to all sync replication destinations for the given subscription. More...
virtual Message::Field | persisted (const Message::Field &subId_, size_t bookmark_)=0
| Mark the bookmark provided as replicated to all sync replication destinations for the given subscription. More...
virtual void | setServerVersion (size_t version_)=0
| Internally used to set the server version so the store knows how to deal with persisted acks and calls to getMostRecent(). More...
virtual void | setServerVersion (const VersionInfo &version_)=0
| Internally used to set the server version so the store knows how to deal with persisted acks and calls to getMostRecent(). More...
size_t | getMaxSubIdLength () const
| Gets the maximum allowed length for a sub id when recovering a bookmark store from persistent storage. More...
void | setMaxSubIdLength (size_t maxSubIdLength_)
| Sets the maximum allowed length for a sub id when recovering a bookmark store from persistent storage. More...

## Detailed Description

Abstract base class for storing received bookmarks for HA clients.

The documentation for this class was generated from the following file:

- include/amps/BookmarkStore.hpp